summaryrefslogtreecommitdiffstats
path: root/accessibility
diff options
context:
space:
mode:
author notKlaatu <klaatu@hackerpublicradio.org>2013-04-26 07:09:16 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2013-04-26 07:09:16 -0300
commit721eb4e79620bcae27ad6c75091abb8a65b4d958 (patch)
tree35168ed865e37db9cd3479a2b4df208554a2819d /accessibility
parent6aca435c65bc09fc30bc5d3fdd4945e31885526a (diff)
downloadslackbuilds-721eb4e79620bcae27ad6c75091abb8a65b4d958.tar.gz
slackbuilds-721eb4e79620bcae27ad6c75091abb8a65b4d958.tar.xz
accessibility/eflite: Added (speech server)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'accessibility')
-rw-r--r--accessibility/eflite/README18
-rw-r--r--accessibility/eflite/eflite.SlackBuild76
-rw-r--r--accessibility/eflite/eflite.info10
-rw-r--r--accessibility/eflite/slack-desc19
4 files changed, 123 insertions, 0 deletions
diff --git a/accessibility/eflite/README b/accessibility/eflite/README
new file mode 100644
index 0000000000..98b97f6919
--- /dev/null
+++ b/accessibility/eflite/README
@@ -0,0 +1,18 @@
+eflite is a speech server for Emacspeak and other screen readers that
+allow them to interface with Flite.
+
+NOTE:
+
+If you are using flite and eflite to interface with emacspeak, then
+you will also have to set some environment variables:
+
+As user:
+echo 'DTK_PROGRAM=/usr/local/bin/eflite; export DTK_PROGRAM' >> ~/.bash_profile
+
+For a completely vision-free system, you may add these steps:
+
+As root:
+echo 'exec /usr/local/bin/flite -t "please log in"' >> /etc/rc.d/rc.local
+
+As user:
+echo 'exec /usr/bin/emacspeak' >> ~/.bash_profile
diff --git a/accessibility/eflite/eflite.SlackBuild b/accessibility/eflite/eflite.SlackBuild
new file mode 100644
index 0000000000..f44a0951b9
--- /dev/null
+++ b/accessibility/eflite/eflite.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for eflite
+# Written by klaatu at hackerpublicradio dot org
+##
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=eflite
+VERSION=${VERSION:-0.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+flite_include_dir=/usr/include/flite/ \
+flite_dir=/usr/lib${LIBDIRSUFFIX} \
+./configure \
+ --prefix=/usr \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-audio=ALSA
+
+make
+make install prefix=$PKG/usr
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/accessibility/eflite/eflite.info b/accessibility/eflite/eflite.info
new file mode 100644
index 0000000000..49fcda7888
--- /dev/null
+++ b/accessibility/eflite/eflite.info
@@ -0,0 +1,10 @@
+PRGNAM="eflite"
+VERSION="0.4.1"
+HOMEPAGE="http://eflite.sourceforge.net"
+DOWNLOAD="http://prdownloads.sourceforge.net/eflite/eflite-0.4.1.tar.gz"
+MD5SUM="9c1a25990426ae1c6519ee1a4528dc03"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="flite"
+MAINTAINER="notKlaatu"
+EMAIL="klaatu@hackerpublicradio.org" \ No newline at end of file
diff --git a/accessibility/eflite/slack-desc b/accessibility/eflite/slack-desc
new file mode 100644
index 0000000000..9ca12052f7
--- /dev/null
+++ b/accessibility/eflite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+eflite: eflite (speech server)
+eflite:
+eflite: EFlite is a speech server for Emacspeak and other screen readers
+eflite: that allows them to interface with Flite. It uses Flites code to
+eflite: interface with the sound driver.
+eflite:
+eflite: http://eflite.sourceforge.net
+eflite:
+eflite:
+eflite:
+eflite: